import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const useSystemManageStore = defineStore('systemManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 日志 **************
    // 获取日志数据列表
    managelogLoad(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 14
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //* *********** 菜单 **************
    // 获取菜单列表
    menuLoad(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 16
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //菜单详情
    menuDetail(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 131
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //菜单更新
    menuUp(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 132
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //菜单新增
    menuAdd(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 156
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //* *********** 角色 **************
    // 获取角色列表
    sysusergroupLoad(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 17
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取角色详情
    sysusergroupDetail(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 127
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 角色更新
    sysusergroupUp(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 128
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 角色新增
    sysusergroupAdd(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 129
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 角色删除
    sysusergroupDel(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 228
        _del(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    //* *********** 配置 **************
    // 获取配置列表
    configurationLoadAll(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 18
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
  },
})

export default useSystemManageStore
